# Generated by Django 4.1.7 on 2023-03-03 17:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('bot_manager', '0001_initial'),
        ('courses', '0007_category_image'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='coursepassing',
            name='user_id',
        ),
        migrations.AddField(
            model_name='coursepassing',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='course_passing', to='bot_manager.telegramusers'),
        ),
        migrations.AlterField(
            model_name='lessonpassing',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='lesson_passing', to='bot_manager.telegramusers'),
        ),
        migrations.AlterField(
            model_name='questionpassing',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='question_passing', to='bot_manager.telegramusers'),
        ),
        migrations.AlterField(
            model_name='review',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='reviews', to='bot_manager.telegramusers'),
        ),
        migrations.AlterField(
            model_name='userbuy',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='user_buy', to='bot_manager.telegramusers'),
        ),
    ]
